# Class TaskTrackerFactoryProvider

- Defined in src/core/task-tracker-factory.js:1

##### Index

### Constructors

constructor

### Properties

$get

## Constructors

### constructor

- new TaskTrackerFactoryProvider(): TaskTrackerFactoryProvider

  #### Returns TaskTrackerFactoryProvider

## Properties

### $get

$get: (string | ((log: LogService) => TaskTracker))[] = ...

#### Type declaration

- string
- (log: LogService) => TaskTracker
  - - (log: LogService): TaskTracker

    - Creates a new `TaskTracker` instance.

      #### Parameters

      - log: LogService

        The logging service.

      #### Returns TaskTracker

      A new `TaskTracker` instance.

- Defined in src/core/task-tracker-factory.js:2